<?php
/**
* @version      $Id: layout.class.php 10381 2008-06-01 03:35:53Z pasamio $
* @package      Easyshop
* @copyright    Copyright (C) 2005 - 2008 TA-EDV
* @license      proprietary
* @author       Richard Kammermayer <rk@ta-edv.de>
* Easyshop is a web shop system
*/

class admin_layout extends Smarty {

	public $currentComGroupPath;
	private $base_object;

	function start($base_object) {
		$this->base_object = $base_object;
		// set content charset
		header('content-type: text/html; charset=utf-8');

		$this->__construct();
		$this->compile_id   = SHOP_SYSTEM.'_admin';
		$this->compile_dir  = ROOT_DIR.'/tmp/smarty_compile';
		$this->cache_dir    = ROOT_DIR.'/tmp/smarty_cache';
		$this->template_dir = array(ROOT_DIR.'/themes/admin/templates', ROOT_DIR.'/themes/default/templates');
		//$smarty->caching    = true;
		$this->debugging     = false;

		$this->assign('servername', $_SERVER['SERVER_NAME']);
		$this->assign('THEME_DIR', 'themes/admin');
		$this->assign('SHOP_DIR', STANDARD_DIR. 'web/'.SHOP_SYSTEM.'/');
		
		return;
	}
	
	function get_admin_menu($admin_role_data) {
		// get system registration file
		include_once('./core/system_registration.inc.php');
		$data = array();
		foreach ($admin_modul_registration as $modul) {
			if (isset($admin_role_data->acl_show[$modul['modul']]) && $admin_role_data->acl_show[$modul['modul']] == 1) {
				$modul['name'] = $this->base_object->i18n->shopadmin_translation['admin_interface']['menu'][$modul['name']];
				$data[$modul['position']][] = $modul;
			}
		}
		return $data;
	}
	
	function get_base() {
		return $this->base_object;
	}
	
}

?>